Bug 479381 - "return" can evoke segfault, w/patch
"return" can evoke segfault, w/patch
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
http://sourceware.org/ml/gdb-patches/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-09 03:11 EST by Jim Meyering
Modified: 2013-03-13 16:41 EDT (History)
2 users (show)

See Also:
Fixed In Version: 6.8.50.20090302-13.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-30 15:38:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
here's the patch (1.28 KB, patch)
2009-01-09 03:13 EST, Jim Meyering
no flags Details | Diff

  None (edit)
Description Jim Meyering 2009-01-09 03:11:32 EST
Description of problem: running gdb's "return" command can cause a segfault

Version-Release number of selected component (if applicable):
  gdb-6.8.50.20081214-1.fc11.x86_64
  gcc-4.3.2-7.x86_64

How reproducible: always

Steps to Reproduce:
1. see http://sourceware.org/ml/gdb-patches/2008-12/msg00427.html
  
Actual results:
segfault

Expected results:
"return" command works

Additional info:
Comment 1 Jim Meyering 2009-01-09 03:13:35 EST
Created attachment 328527 [details]
here's the patch
Comment 2 Jan Kratochvil 2009-01-09 16:50:27 EST
Upstream post:
http://sourceware.org/ml/gdb-patches/2009-01/msg00213.html

For F-11:
http://sourceware.org/gdb/wiki/ArcherBranchManagement
archer-jankratochvil-misc
997d730f46e591a2d45676013ebf857b0339ca04
Comment 3 Jan Kratochvil 2009-03-30 15:38:52 EDT
In Rawhide and FSF GDB:
http://sourceware.org/ml/gdb-cvs/2009-02/msg00069.html

Note You need to log in before you can comment on or make changes to this bug.